/*
Теоретичні питання:
1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
 Цикли потрібні, щоб повторно виконувати певну частину коду в залежності від умови. Наприклад, якщо для чисел від 1 до 10 потрібно додати 1, то тут використовуємо цикл.

2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
 - while - спочатку умова, а потім код;
 - do...while - один раз виконується код, далі перевіряється умова;
 - for - cпочатку умова, а потім код. Цикл for має розширений синтаксис для умови (початок; умова; крок), використовується там, де потрібно пройтись по елементам і здійснити над ними дію в тому порядку, який необхідно.

3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
 - явне - це коли, щоб перетворити тип даних, ми використовуємо конструктори і методи;
 - неявне - це коли тип даних змінюється автоматично, напрклад при конкатенації або унарному плюсі.
*/

/*
Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

Технічні вимоги:
Отримати за допомогою модального вікна браузера число, яке введе користувач.
Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"
Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.
*/

let mainNumber;

do {
  mainNumber = +prompt('Введіть число більше нуля');
} while (isNaN(mainNumber) || mainNumber <= 0 || Number.isInteger(mainNumber) !== true);

if (mainNumber < 5) {
  console.log("Sorry, no numbers");
}

for (let i = 1; i <= mainNumber; i++) {
  if (i % 5 === 0) {
    console.log("число кратне 5 з діапазону =", i);
  }
}